<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/forum_admin_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr">  1 </span>03/06/85  forum_admin_
<span id="L2" class="LineNr">  2 </span>
<span id="L3" class="LineNr">  3 </span>
<span id="L4" class="LineNr">  4 </span>Entry points in forum_admin_:
<span id="L5" class="LineNr">  5 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L6" class="LineNr">  6 </span>
<span id="L7" class="LineNr">  7 </span>
<span id="L8" class="LineNr">  8 </span>The forum_admin_ subroutine provides a site administrative interface to
<span id="L9" class="LineNr">  9 </span>the Forum Interactive Meeting System.
<span id="L10" class="LineNr"> 10 </span>
<span id="L11" class="LineNr"> 11 </span>
<span id="L12" class="LineNr"> 12 </span>:Entry:  change_chairman:  03/06/85 forum_admin_$change_chairman
<span id="L13" class="LineNr"> 13 </span>
<span id="L14" class="LineNr"> 14 </span>
<span id="L15" class="LineNr"> 15 </span>Function:  This entry is used to change the chairman of a Forum meeting
<span id="L16" class="LineNr"> 16 </span>by a system administrator who is not the current chairman of the
<span id="L17" class="LineNr"> 17 </span>meeting.
<span id="L18" class="LineNr"> 18 </span>
<span id="L19" class="LineNr"> 19 </span>
<span id="L20" class="LineNr"> 20 </span>Syntax:
<span id="L21" class="LineNr"> 21 </span>declare forum_admin_$change_chairman entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L22" class="LineNr"> 22 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L23" class="LineNr"> 23 </span>call forum_admin_$change_chairman <span class="textRainbow_lv0_p0">(</span>dirname<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> chairman<span class="textRainbow_lv0_o0">,</span>
<span id="L24" class="LineNr"> 24 </span>     status<span class="textRainbow_lv0_p0">)</span>;
<span id="L25" class="LineNr"> 25 </span>
<span id="L26" class="LineNr"> 26 </span>
<span id="L27" class="LineNr"> 27 </span>Arguments:
<span id="L28" class="LineNr"> 28 </span>dirname
<span id="L29" class="LineNr"> 29 </span>   is the pathname of the directory containing the meeting.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L30" class="LineNr"> 30 </span>entryname
<span id="L31" class="LineNr"> 31 </span>   is the entryname of the meeting.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> The &quot;.forum&quot; suffix is
<span id="L32" class="LineNr"> 32 </span>   required.
<span id="L33" class="LineNr"> 33 </span>chairman
<span id="L34" class="LineNr"> 34 </span>   is the name of the new chairman of the meeting, in the form
<span id="L35" class="LineNr"> 35 </span>   Person_id.Project_id.  The new chairman must already be a
<span id="L36" class="LineNr"> 36 </span>   participant.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L37" class="LineNr"> 37 </span>status
<span id="L38" class="LineNr"> 38 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> It can have one of the
<span id="L39" class="LineNr"> 39 </span>   following values:
<span id="L40" class="LineNr"> 40 </span>   forum_error_table_$no_such_user
<span id="L41" class="LineNr"> 41 </span>      The supplied new chairman is not a participant.
<span id="L42" class="LineNr"> 42 </span>
<span id="L43" class="LineNr"> 43 </span>
<span id="L44" class="LineNr"> 44 </span>Access required:
<span id="L45" class="LineNr"> 45 </span>The caller must have modify permission on the containing directory.
<span id="L46" class="LineNr"> 46 </span>
<span id="L47" class="LineNr"> 47 </span>
<span id="L48" class="LineNr"> 48 </span>:Entry:  convert:  03/06/85 forum_admin_$convert
<span id="L49" class="LineNr"> 49 </span>
<span id="L50" class="LineNr"> 50 </span>
<span id="L51" class="LineNr"> 51 </span>Function:  This entry is used to convert a meeting created with
<span id="L52" class="LineNr"> 52 </span>pre-MR11 software into a current version meeting without requiring the
<span id="L53" class="LineNr"> 53 </span>user to be the chairman.
<span id="L54" class="LineNr"> 54 </span>
<span id="L55" class="LineNr"> 55 </span>
<span id="L56" class="LineNr"> 56 </span>Syntax:
<span id="L57" class="LineNr"> 57 </span>declare forum_admin_$convert entry <span class="textRainbow_lv0_p0">(</span>char <span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char <span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin
<span id="L58" class="LineNr"> 58 </span>     <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L59" class="LineNr"> 59 </span>call forum_admin_$convert <span class="textRainbow_lv0_p0">(</span>dirname<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> status<span class="textRainbow_lv0_p0">)</span>;
<span id="L60" class="LineNr"> 60 </span>
<span id="L61" class="LineNr"> 61 </span>
<span id="L62" class="LineNr"> 62 </span>Arguments:
<span id="L63" class="LineNr"> 63 </span>dirname
<span id="L64" class="LineNr"> 64 </span>   is the name of the directory containing the meeting.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L65" class="LineNr"> 65 </span>entryname
<span id="L66" class="LineNr"> 66 </span>   is the name of the meeting.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> The &quot;.forum&quot; suffix is
<span id="L67" class="LineNr"> 67 </span>   required.
<span id="L68" class="LineNr"> 68 </span>status
<span id="L69" class="LineNr"> 69 </span>   is a standard status code.
<span id="L70" class="LineNr"> 70 </span>
<span id="L71" class="LineNr"> 71 </span>
<span id="L72" class="LineNr"> 72 </span>Access required:
<span id="L73" class="LineNr"> 73 </span>The caller must have modify permission on the containing directory.
<span id="L74" class="LineNr"> 74 </span>
<span id="L75" class="LineNr"> 75 </span>
<span id="L76" class="LineNr"> 76 </span>:Entry:  delete_forum:  03/06/85 forum_admin_$delete_forum
<span id="L77" class="LineNr"> 77 </span>
<span id="L78" class="LineNr"> 78 </span>
<span id="L79" class="LineNr"> 79 </span>Function:  This entry is used to delete a meeting by a system
<span id="L80" class="LineNr"> 80 </span>administrator who is not the current chairman of the meeting.
<span id="L81" class="LineNr"> 81 </span>
<span id="L82" class="LineNr"> 82 </span>
<span id="L83" class="LineNr"> 83 </span>Syntax:
<span id="L84" class="LineNr"> 84 </span>declare forum_admin_$delete_forum entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L85" class="LineNr"> 85 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L86" class="LineNr"> 86 </span>call forum_admin_$delete_forum <span class="textRainbow_lv0_p0">(</span>dirname<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> status<span class="textRainbow_lv0_p0">)</span>;
<span id="L87" class="LineNr"> 87 </span>
<span id="L88" class="LineNr"> 88 </span>
<span id="L89" class="LineNr"> 89 </span>Arguments:
<span id="L90" class="LineNr"> 90 </span>dirname
<span id="L91" class="LineNr"> 91 </span>   is the pathname of the directory containing the meeting.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L92" class="LineNr"> 92 </span>entryname
<span id="L93" class="LineNr"> 93 </span>   is the entryname of the meeting.  The &quot;.forum&quot; suffix is required.
<span id="L94" class="LineNr"> 94 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L95" class="LineNr"> 95 </span>status
<span id="L96" class="LineNr"> 96 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L97" class="LineNr"> 97 </span>
<span id="L98" class="LineNr"> 98 </span>
<span id="L99" class="LineNr"> 99 </span>Access required:
<span id="L100" class="LineNr">100 </span>The caller must have modify permission on the containing directory.
<span id="L101" class="LineNr">101 </span>
<span id="L102" class="LineNr">102 </span>
<span id="L103" class="LineNr">103 </span>:Entry:  init_notifications:  03/06/85 forum_admin_$init_notifications
<span id="L104" class="LineNr">104 </span>
<span id="L105" class="LineNr">105 </span>
<span id="L106" class="LineNr">106 </span>Function:  This entry is used to create the notifications database.
<span id="L107" class="LineNr">107 </span>
<span id="L108" class="LineNr">108 </span>
<span id="L109" class="LineNr">109 </span>Syntax:
<span id="L110" class="LineNr">110 </span>declare forum_admin_$init_notifications entry <span class="textRainbow_lv0_p0">(</span>fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L111" class="LineNr">111 </span>call forum_admin_$init_notifications <span class="textRainbow_lv0_p0">(</span>status<span class="textRainbow_lv0_p0">)</span>;
<span id="L112" class="LineNr">112 </span>
<span id="L113" class="LineNr">113 </span>
<span id="L114" class="LineNr">114 </span>Arguments:
<span id="L115" class="LineNr">115 </span>status
<span id="L116" class="LineNr">116 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L117" class="LineNr">117 </span>
<span id="L118" class="LineNr">118 </span>
<span id="L119" class="LineNr">119 </span>Access required:
<span id="L120" class="LineNr">120 </span>The caller must have &quot;sma&quot; access to the central forum directory.
<span id="L121" class="LineNr">121 </span>
<span id="L122" class="LineNr">122 </span>
<span id="L123" class="LineNr">123 </span>:Entry:  set_forum_acl:  03/06/85 forum_admin_$set_forum_acl
<span id="L124" class="LineNr">124 </span>
<span id="L125" class="LineNr">125 </span>
<span id="L126" class="LineNr">126 </span>Function:  This entry is used to add or change an ACL term on a
<span id="L127" class="LineNr">127 </span>meeting.  ACL terms can only be specified for Person_id.* or
<span id="L128" class="LineNr">128 </span>*.Project_id, terms of the form Person_id.Project_id are not allowed.
<span id="L129" class="LineNr">129 </span>The caller need not be the chairman of the meeting.
<span id="L130" class="LineNr">130 </span>
<span id="L131" class="LineNr">131 </span>
<span id="L132" class="LineNr">132 </span>Syntax:
<span id="L133" class="LineNr">133 </span>declare forum_admin_$set_forum_acl entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L134" class="LineNr">134 </span>     bit<span class="textRainbow_lv1_p0">(</span>1<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>1<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>1<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L135" class="LineNr">135 </span>call forum_admin_$set_forum_acl <span class="textRainbow_lv0_p0">(</span>dirname<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> access_name<span class="textRainbow_lv0_o0">,</span>
<span id="L136" class="LineNr">136 </span>     user_sw<span class="textRainbow_lv0_o0">,</span> set_sw<span class="textRainbow_lv0_o0">,</span> write_sw<span class="textRainbow_lv0_o0">,</span> status<span class="textRainbow_lv0_p0">)</span>;
<span id="L137" class="LineNr">137 </span>
<span id="L138" class="LineNr">138 </span>
<span id="L139" class="LineNr">139 </span>Arguments:
<span id="L140" class="LineNr">140 </span>dirname
<span id="L141" class="LineNr">141 </span>   is the pathname of the directory containing the meeting.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L142" class="LineNr">142 </span>entryname
<span id="L143" class="LineNr">143 </span>   is the entryname of the meeting.  The &quot;.forum&quot; suffix is required.
<span id="L144" class="LineNr">144 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L145" class="LineNr">145 </span>access_name
<span id="L146" class="LineNr">146 </span>   is the Person_id or Project_id whose ACL is to be added or deleted.
<span id="L147" class="LineNr">147 </span>   Access_name can not contain a &quot;.&quot;.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L148" class="LineNr">148 </span>
<span id="L149" class="LineNr">149 </span>
<span id="L150" class="LineNr">150 </span>user_sw
<span id="L151" class="LineNr">151 </span>   This switch should be on if access_name is a Person_id, and off if
<span id="L152" class="LineNr">152 </span>   it is a Project_id.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L153" class="LineNr">153 </span>set_sw
<span id="L154" class="LineNr">154 </span>   This switch should be on if access is to be added, and off if it is
<span id="L155" class="LineNr">155 </span>   to be deleted.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L156" class="LineNr">156 </span>write_sw
<span id="L157" class="LineNr">157 </span>   This switch should on if write access is to be added, and off if
<span id="L158" class="LineNr">158 </span>   only read access is to be added.  This switch is ignored if set_sw
<span id="L159" class="LineNr">159 </span>   is off.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L160" class="LineNr">160 </span>status
<span id="L161" class="LineNr">161 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L162" class="LineNr">162 </span>
<span id="L163" class="LineNr">163 </span>
<span id="L164" class="LineNr">164 </span>Access required:
<span id="L165" class="LineNr">165 </span>The caller must have modify permission on the containing directory.
<span id="L166" class="LineNr">166 </span>
<span id="L167" class="LineNr">167 </span>
<span id="L168" class="LineNr">168 </span>:Entry:  set_global_switch:  03/06/85 forum_admin_$set_global_switch
<span id="L169" class="LineNr">169 </span>
<span id="L170" class="LineNr">170 </span>
<span id="L171" class="LineNr">171 </span>Function:  This entry is used to set switches associated with the forum
<span id="L172" class="LineNr">172 </span>environment for an entire site.
<span id="L173" class="LineNr">173 </span>
<span id="L174" class="LineNr">174 </span>
<span id="L175" class="LineNr">175 </span>Syntax:
<span id="L176" class="LineNr">176 </span>declare forum_admin_$set_global_switch entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>1<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_o0">,</span>
<span id="L177" class="LineNr">177 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L178" class="LineNr">178 </span>call forum_admin_$set_global_switch <span class="textRainbow_lv0_p0">(</span>switch_name<span class="textRainbow_lv0_o0">,</span> value<span class="textRainbow_lv0_o0">,</span> status<span class="textRainbow_lv0_p0">)</span>;
<span id="L179" class="LineNr">179 </span>
<span id="L180" class="LineNr">180 </span>
<span id="L181" class="LineNr">181 </span>Arguments:
<span id="L182" class="LineNr">182 </span>switch_name
<span id="L183" class="LineNr">183 </span>   is the name of the switch to be set.  It can be one of
<span id="L184" class="LineNr">184 </span>   &quot;print_eligiblity_messages&quot;, &quot;pemsg&quot;, &quot;chairman_set_eligibilty_msg&quot;,
<span id="L185" class="LineNr">185 </span>   or &quot;cm_set_emsg&quot;.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L186" class="LineNr">186 </span>value
<span id="L187" class="LineNr">187 </span>   is the value to be assigned to the switch.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L188" class="LineNr">188 </span>status
<span id="L189" class="LineNr">189 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> It can have the following
<span id="L190" class="LineNr">190 </span>   value:
<span id="L191" class="LineNr">191 </span>   forum_error_table_$invalid_switch_name
<span id="L192" class="LineNr">192 </span>      The switch_name given was not one of those listed above.
<span id="L193" class="LineNr">193 </span>
<span id="L194" class="LineNr">194 </span>
<span id="L195" class="LineNr">195 </span>Access required:
<span id="L196" class="LineNr">196 </span>The user must have &quot;rw&quot; access to forum_data_.
<span id="L197" class="LineNr">197 </span>
<span id="L198" class="LineNr">198 </span>
<span id="L199" class="LineNr">199 </span>:Entry:  set_switch:  03/06/85 forum_admin_$set_switch
<span id="L200" class="LineNr">200 </span>
<span id="L201" class="LineNr">201 </span>
<span id="L202" class="LineNr">202 </span>Function:  This entry is used to change several switches associated
<span id="L203" class="LineNr">203 </span>with a Forum meeting or its participants.  The caller need not be the
<span id="L204" class="LineNr">204 </span>chairman of the meeting in order to set any of the switches.
<span id="L205" class="LineNr">205 </span>
<span id="L206" class="LineNr">206 </span>
<span id="L207" class="LineNr">207 </span>Syntax:
<span id="L208" class="LineNr">208 </span>declare forum_admin_$set_switch entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L209" class="LineNr">209 </span>     char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>1<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L210" class="LineNr">210 </span>call forum_admin_$set_switch <span class="textRainbow_lv0_p0">(</span>dirname<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> person_id<span class="textRainbow_lv0_o0">,</span>
<span id="L211" class="LineNr">211 </span>     switch_name<span class="textRainbow_lv0_o0">,</span> switch_setting<span class="textRainbow_lv0_o0">,</span> status<span class="textRainbow_lv0_p0">)</span>;
<span id="L212" class="LineNr">212 </span>
<span id="L213" class="LineNr">213 </span>
<span id="L214" class="LineNr">214 </span>Arguments:
<span id="L215" class="LineNr">215 </span>dirname
<span id="L216" class="LineNr">216 </span>   is the pathname of the directory containing the meeting.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L217" class="LineNr">217 </span>entryname
<span id="L218" class="LineNr">218 </span>   is the name of the meeting.  The &quot;.forum&quot; suffix is required.
<span id="L219" class="LineNr">219 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L220" class="LineNr">220 </span>person_id
<span id="L221" class="LineNr">221 </span>   is the Person_id of the user on whose behalf you are setting the
<span id="L222" class="LineNr">222 </span>   switch.  The Project_id should not be given.  Starnames are not
<span id="L223" class="LineNr">223 </span>   permitted.  If this is blank, the caller's Person_id is used.
<span id="L224" class="LineNr">224 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L225" class="LineNr">225 </span>
<span id="L226" class="LineNr">226 </span>
<span id="L227" class="LineNr">227 </span>switch_name
<span id="L228" class="LineNr">228 </span>   is the name of the switch to set.  See &quot;List of Switches&quot; below.
<span id="L229" class="LineNr">229 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L230" class="LineNr">230 </span>switch_setting
<span id="L231" class="LineNr">231 </span>   is the new switch setting.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L232" class="LineNr">232 </span>status
<span id="L233" class="LineNr">233 </span>   is a standard status code.  It can have one of the following values:
<span id="L234" class="LineNr">234 </span>   forum_error_table_$invalid_switch_name
<span id="L235" class="LineNr">235 </span>      the switch_name is not one of the valid switches.
<span id="L236" class="LineNr">236 </span>   forum_error_table_$switch_not_changed
<span id="L237" class="LineNr">237 </span>      the old setting was the same as the new setting.
<span id="L238" class="LineNr">238 </span>
<span id="L239" class="LineNr">239 </span>
<span id="L240" class="LineNr">240 </span>List of switches:
<span id="L241" class="LineNr">241 </span>access_changed
<span id="L242" class="LineNr">242 </span>   Specifies that the ACL on the meeting has changed.  This switch is
<span id="L243" class="LineNr">243 </span>   set by the forum_chairman_$set_forum_acl entrypoint, and should
<span id="L244" class="LineNr">244 </span>   normally only be turned off by this subroutine.
<span id="L245" class="LineNr">245 </span>adjourned, adj
<span id="L246" class="LineNr">246 </span>   Prevents users from entering the meeting.
<span id="L247" class="LineNr">247 </span>deleted
<span id="L248" class="LineNr">248 </span>   Specifies that the attendee record for this user should be marked as
<span id="L249" class="LineNr">249 </span>   deleted.
<span id="L250" class="LineNr">250 </span>
<span id="L251" class="LineNr">251 </span>
<span id="L252" class="LineNr">252 </span>meeting_eligibility_messages, mtg_emsg
<span id="L253" class="LineNr">253 </span>   Turns on printing of eligibilty messages for this meeting.
<span id="L254" class="LineNr">254 </span>message_seen
<span id="L255" class="LineNr">255 </span>   Specifies that the chairman message on the meeting has changed.
<span id="L256" class="LineNr">256 </span>   This switch is set by the forum_$set_message entrypoint, and should
<span id="L257" class="LineNr">257 </span>   normally only be turned off by this subroutine.
<span id="L258" class="LineNr">258 </span>notify, nt
<span id="L259" class="LineNr">259 </span>   Turns on the notify switch for the meeting.  This means that an
<span id="L260" class="LineNr">260 </span>   interactive message will be sent each time a transaction is entered
<span id="L261" class="LineNr">261 </span>   if the user is logged in and has issued the
<span id="L262" class="LineNr">262 </span>   forum_accept_notifications command.
<span id="L263" class="LineNr">263 </span>participating, part
<span id="L264" class="LineNr">264 </span>    Turns on the participation switch for the meeting.
<span id="L265" class="LineNr">265 </span>
<span id="L266" class="LineNr">266 </span>
<span id="L267" class="LineNr">267 </span>Access required:
<span id="L268" class="LineNr">268 </span>The caller must have either modify permission on the containing
<span id="L269" class="LineNr">269 </span>directory or write access to the &quot;.forum&quot; segment.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
